SearchTypesRequest:
  type: object
  properties:
    sort:
      $ref: '../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchTypesFilter'
    include:
      $ref: '../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../common_schemas.yaml#/RequestBodyPagination'
SearchTypesFilter:
  type: object
SearchTypesResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Type'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
Type:
  allOf:
    - $ref: '#/TypeReadonlyProperties'
    - $ref: '#/TypeFillableProperties'
    - $ref: '#/TypeIncludes'
TypeReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор статуса
      example: 1
TypeFillableProperties:
  type: object
  properties:
    name:
      type: string
      description: Имя статуса
      example: Новый
    active:
      type: boolean
      description: Активность
    channel:
      type: array
      description: Каналы
      items:
        type: integer
TypeIncludes:
  type: object
TypeForCreate:
  allOf:
    - $ref: '#/TypeFillableProperties'
    - $ref: '#/TypeRequiredProperties'
TypeResponse:
  type: object
  properties:
    data:
      $ref: '#/Type'
    meta:
      type: object
  required:
    - data
TypeRequiredProperties:
  type: object
  required:
    - name
TypeForPatch:
  allOf:
    - $ref: '#/TypeFillableProperties'
